import { jsx } from "react/jsx-runtime";
import { TokenCOW as TokenCOW$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenCOW = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "COW", "data-name": "TokenCOW", ...props, children: /* @__PURE__ */ jsx(TokenCOW$1, { variant }) });
  }
);
TokenCOW.displayName = "TokenCOW";
Object.assign(TokenCOW, { isGdsIcon: true });
export {
  TokenCOW
};
